//
// Created by wits on 2022/5/23.
//

import Foundation
import AudioToolbox


///振动

public class Vibrate {

    private static var soundID: UInt32?
    private static var timer: Timer?

    public static func startVibrate(pattern: [Double]?) {
        if (pattern == nil) {
            soundID = SystemSoundID(1521)
        } else {
            soundID = SystemSoundID(kSystemSoundID_Vibrate)
            timer = Timer.scheduledTimer(timeInterval: (pattern![0] == nil || pattern![0] == nil || pattern![0] == 0) ? 0.3 : pattern![0],
                    target: self, selector: Selector("stopVibrate"),
                    userInfo: nil, repeats: true)
            timer!.fire()

        }
//        //建立的SystemSoundID对象,标准长震动
//        soundID = SystemSoundID(kSystemSoundID_Vibrate)
//
//        //短振动，普通短震，3D Touch 中 Peek 震动反馈
//        let soundShort = SystemSoundID(1519)
//
//        //普通短震，3D Touch 中 Pop 震动反馈,home 键的振动
//        let soundMiddle = SystemSoundID(1520)
//
//        // 连续三次短震
//        let soundThere = SystemSoundID(1521)
        //执行震动
        AudioServicesPlaySystemSound(soundID!)
    }


    public static func stopVibrate() {
        if (soundID != nil) {
            AudioServicesDisposeSystemSoundID(soundID!)
        }
        if (timer != nil) {
            timer!.invalidate()
            timer = nil;
        }

    }


}
