
import 'package:witsystem_device_plugin/code/DeviceOtherFunction.dart';
import 'package:witsystem_device_plugin/command/CardType.dart';
import 'package:witsystem_device_plugin/command/DeviceModel.dart';
import 'package:witsystem_device_plugin/command/FaceType.dart';
import 'package:witsystem_device_plugin/command/MarkType.dart';
import 'package:witsystem_device_plugin/command/PasswordType.dart';

///设备功能信息实体类
class DeviceSoftwareInfo {
  DeviceSoftwareInfo(
      {required this.deviceType,
      required this.passwordSum,
      required this.passwordType,
      required this.cardSum,
      required this.cardType,
      required this.markSum,
      required this.markType,
      required this.faceSum,
      required this.faceType,
      required this.modelType,
      required this.connectionNumber,
      required this.otherFunction});

  final String deviceType; //设备类型

  final int passwordSum; //支持的密码总数

  final List<PasswordType> passwordType; //支持的密码类型

  final int cardSum; //支持卡的总数

  final List<CardType> cardType; //支持的卡类型

  final int markSum; //支持的指纹总数

  final List<MarkType> markType; //支持的指纹类型

  final int faceSum; //支持的人脸总数

  final List<FaceType> faceType; //支持的人脸类型

  final List<DeviceModel> modelType; //支持的模式

  final int connectionNumber; //支持的同时连接数

  final List<DeviceOtherFunction> otherFunction; //特殊功能

}
