import 'dart:typed_data';

import 'package:witsystem_device_plugin/WitsystemSDK.dart';

///震动
class Vibrate extends WisystemSDk {

  factory Vibrate() => _getInstance();

  static Vibrate? _instance;

  Vibrate._internal();

  static Vibrate _getInstance() {
    _instance ??= Vibrate._internal();
    return _instance!;
  }

  ///自定义震动
  ///pattern
  /// repeat
  start({Int64List? pattern, int? repeat}) async {
    final map = {"pattern": pattern, "repeat": repeat};
    return await methodChannel.invokeMethod("startVibrate", map);
  }

  ///停止震动
  stop() async {
    return await methodChannel.invokeMethod("stopVibrate");
  }
}
